Skip to main content
Resource Center/Resource Pool/VM Instance Operations

GetVmConsoleAddress

GetVmConsoleAddress

GET/zstack/v1/vm-instances/{uuid}/console-addresses

Operation ID

GetVmConsoleAddress

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • uuid
    StringRequired

    The VM instance UUID.

Query Parameters

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • hostIp
    StringRequired

    The IP address of the host where the VM instance is running.

  • port
    intRequired

    The console port of the VM instance.

  • protocol
    StringRequired

    The console protocol of the VM instance. Options: vnc spice vncAndSpice

  • success
    booleanRequired

    Whether the operation succeeds.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • vdiPortInfo
    vdiPortInfoRequired

    See vdiPortInfo.

    • vncPort
      IntegerRequired

      The VNC port No.

    • spicePort
      IntegerRequired

      The SPICE port No.

    • spiceTlsPort
      IntegerRequired

      If TLS encryption is enabled for SPICE, two ports will be available: spiceTlsPort and spicePort. To connect the VM instance by using a SPICE client, use spiceTlsPort.